Gateway_DB upgrade failed during upgrade from 8.3 to 9.3.

Document ID : KB000122210
Last Modified Date : 03/12/2018
Show Technical Document Details
Issue:
upgraded API Gateway from 8.3 to 9.3. 
However, "Upgrade the CA API Gateway database" failed. 

run /opt/SecureSpan/Gateway/runtime/bin/setup.sh 
Select 1) Upgrade the CA API Gateway database 
Result: 
The following message is output. 
------------------------------------------------------------------------- 
Database upgrade is required. 

Software version : 9.3.00 
Database version : 8.3.00 

Perform upgrade? [No]: yes 
Enter Administrative Database Username [root]: root Enter Administrative Database Password: 

Performing database upgrade: 

Testing the upgrade on a test database ... 
Creating test database "ssg_testUpgrade" (without audits). 
Database creation may take a few minutes. 
The database was not upgraded due to the following reasons: 

Can't find any matching row in the user table 

No changes have been made to the database. Please correct the problem and try again. 
Press [Enter] to continue 
-----------------------------------------
Environment:
API Gateway 8.3
API Gateway 9.3
Cause:
This problem occurs if the Gateway user's password is not the default (7layer).
Resolution:
Do the following.

01. Run the following SQL.
  mysql -e "SET PASSWORD FOR 'gateway'@'localhost' = PASSWORD('7layer')";
  mysql -e "flush privileges";

02. Re-try  upgrade the CA API Gateway database.